Package opennlp.tools.formats.ad

# Class ADPOSSampleStream

java.lang.Object
opennlp.tools.formats.ad.ADPOSSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<POSSample>`

@Internal public class ADPOSSampleStream extends Object implements ObjectStream<POSSample>
Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADPOSSampleStream(InputStreamFactory in, String charsetName, boolean expandME, boolean includeFeatures)`
  Creates a new `POSSample` stream from an `InputStreamFactory`
  `ADPOSSampleStream(ObjectStream<String> lineStream, boolean expandME, boolean includeFeatures)`
  Creates a new `ADPOSSampleStream` stream from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `POSSample`
  `read()`
  Returns the next `ObjectStream` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ADPOSSampleStream

    public ADPOSSampleStream(ObjectStream<String> lineStream, boolean expandME, boolean includeFeatures)
    Creates a new `ADPOSSampleStream` stream from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.
    Parameters:
      `lineStream` - A `ObjectStream<String>` stream as input.
      `expandME` - If `true` will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix `B-` or `I-` (CONLL convention).
      `includeFeatures` - If `true` will combine the POS Tag with the feature tags.

  - ### ADPOSSampleStream

    public ADPOSSampleStream(InputStreamFactory in, String charsetName, boolean expandME, boolean includeFeatures) throws IOException
    Creates a new `POSSample` stream from an `InputStreamFactory`
    Parameters:
      `in` - The `InputStreamFactory` for the corpus.
      `charsetName` - The `charset` to use for reading of the corpus.
      `expandME` - If `true` will expand the multiword expressions, each word of the expression will have the POS Tag that was attributed to the expression plus the prefix `B-` or `I-` (CONLL convention).
      `includeFeatures` - If `true` will combine the POS Tag with the feature tags.
    Throws:
      `IOException`

- ## Method Details

  - ### read

    public POSSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<POSSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<POSSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<POSSample>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.